Game Develop Core: gd::EditStrExpressionDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::EditStrExpressionDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog used to edit a string expression. More...

`#include <EditStrExpressionDialog.h>`

Inheritance diagram for gd::EditStrExpressionDialog:
[legend]

## Public Member Functions

| EditStrExpressionDialog (wxWindow *parent, std::string expression, gd::Project &project_, gd::Layout &layout_)
const std::string & | GetExpression () const

## Public Attributes

wxPanel * | objectsFunctionsPanel
wxButton * | OkBt
wxStaticBitmap * | StaticBitmap2
wxAuiManager * | mgr
wxButton * | AddFunctionBt
wxPanel * | centerPanel
wxTreeCtrl * | ValList
wxHyperlinkCtrl * | errorTxt
wxStyledTextCtrl * | TexteEdit
wxHyperlinkCtrl * | HyperlinkCtrl1
wxPanel * | freeFunctionsPanel
wxTreeCtrl * | ObjList
wxButton * | AddPropBt

## Static Protected Attributes

static const long | ID_CUSTOM1 = wxNewId()
static const long | ID_BUTTON2 = wxNewId()
static const long | ID_HYPERLINKCTRL1 = wxNewId()
static const long | ID_STATICBITMAP5 = wxNewId()
static const long | ID_HYPERLINKCTRL2 = wxNewId()
static const long | ID_PANEL1 = wxNewId()
static const long | ID_TREECTRL1 = wxNewId()
static const long | ID_BUTTON10 = wxNewId()
static const long | ID_PANEL2 = wxNewId()
static const long | ID_TREECTRL2 = wxNewId()
static const long | ID_BUTTON7 = wxNewId()
static const long | ID_PANEL3 = wxNewId()

## Detailed Description

Dialog used to edit a string expression.

## Constructor & Destructor Documentation

gd::EditStrExpressionDialog::EditStrExpressionDialog | ( | wxWindow * | parent,
|  | std::string | expression,
|  | gd::Project & | project_,
|  | gd::Layout & | layout_
| ) |  |

Default constructor

Parameters

  parent | The wxWidgets parent window
  expression | The expression to edit
  project | Project
  layout | Layout

## Member Function Documentation

const std::string& gd::EditStrExpressionDialog::GetExpression | ( | ) |  | const

inline

Return the expression

The documentation for this class was generated from the following files:

- EditStrExpressionDialog.h
- EditStrExpressionDialog.cpp